View Issue Details

IDProjectCategoryView StatusLast Update
0009109ardourbugspublic2022-11-24 00:52
Reporterbeto Assigned Topaul  
PrioritynormalSeveritycrashReproducibilitysometimes
Status assignedResolutionopen 
PlatformArchOSLinuxOS Version(any)
Product Version7.1 
Summary0009109: Unable to edit MIDI on a ramped BPM
DescriptionArdour crashes when I try to add/edit MIDI on a region with ramped BPM
Steps To Reproduce1. Create new project with BPM 120
2. Add a new tempo of 140 in bar 9
3. Edit the first tempo marker so it's ramped to 140
4. Add a MIDI track
5. Try to add a new MIDI region by dragging slowly (if you do it quickly it works)
6. Ardour crashes

This is with an official 7.1 build on Arch Linux.
TagsNo tags attached.

Activities

beto

2022-11-20 22:33

reporter  

Ramp bug.ardour (31,492 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<Session version="7001" name="Ramp bug" sample-rate="48000" session-range-is-free="1" id-counter="891" name-counter="1" event-counter="6" vca-counter="1">
  <ProgramVersion created-with="Ardour 7.1" modified-with="Ardour 7.1"/>
  <EngineHints backend="ALSA" input-device="Model 12" output-device="Model 12"/>
  <MIDIPorts>
    <Port name="MIDI Clock out" direction="output"/>
    <Port name="MMC in" direction="input"/>
    <Port name="MMC out" direction="output"/>
    <Port name="MTC out" direction="output"/>
    <Port name="Scene in" direction="input"/>
    <Port name="Scene out" direction="output"/>
    <Port name="x-virtual-keyboard" direction="output">
      <Connection other="ardour:General MIDI Synth/midi_in 1"/>
    </Port>
  </MIDIPorts>
  <Config>
    <Option name="use-region-fades" value="1"/>
    <Option name="use-transport-fades" value="1"/>
    <Option name="use-monitor-fades" value="1"/>
    <Option name="native-file-data-format" value="FormatFloat"/>
    <Option name="native-file-header-format" value="WAVE"/>
    <Option name="auto-play" value="0"/>
    <Option name="auto-return" value="0"/>
    <Option name="auto-input" value="1"/>
    <Option name="triggerbox-overrides-disk-monitoring" value="1"/>
    <Option name="cue-behavior" value="FollowCues"/>
    <Option name="punch-in" value="0"/>
    <Option name="punch-out" value="0"/>
    <Option name="count-in" value="0"/>
    <Option name="session-monitoring" value=""/>
    <Option name="record-mode" value="RecLayered"/>
    <Option name="draw-opaque-midi_regions" value="0"/>
    <Option name="subframes-per-frame" value="100"/>
    <Option name="timecode-format" value="timecode_30"/>
    <Option name="minitimeline-span" value="120"/>
    <Option name="raid-path" value=""/>
    <Option name="audio-search-path" value=""/>
    <Option name="midi-search-path" value=""/>
    <Option name="track-name-number" value="0"/>
    <Option name="track-name-take" value="1"/>
    <Option name="take-name" value="Take1"/>
    <Option name="jack-time-master" value="1"/>
    <Option name="use-video-sync" value="0"/>
    <Option name="video-pullup" value="0"/>
    <Option name="external-sync" value="0"/>
    <Option name="insert-merge-policy" value="InsertMergeRelax"/>
    <Option name="timecode-offset" value="0"/>
    <Option name="timecode-offset-negative" value="1"/>
    <Option name="slave-timecode-offset" value=" 00:00:00:00"/>
    <Option name="timecode-generator-offset" value=" 00:00:00:00"/>
    <Option name="glue-new-markers-to-bars-and-beats" value="0"/>
    <Option name="midi-copy-is-fork" value="1"/>
    <Option name="glue-new-regions-to-bars-and-beats" value="0"/>
    <Option name="realtime-export" value="0"/>
    <Option name="use-video-file-fps" value="0"/>
    <Option name="videotimeline-pullup" value="1"/>
    <Option name="wave-amplitude-zoom" value="0"/>
    <Option name="wave-zoom-factor" value="2"/>
    <Option name="show-summary" value="1"/>
    <Option name="show-group-tabs" value="1"/>
    <Option name="show-region-fades" value="1"/>
    <Option name="show-busses-on-meterbridge" value="0"/>
    <Option name="show-master-on-meterbridge" value="1"/>
    <Option name="show-midi-on-meterbridge" value="1"/>
    <Option name="show-rec-on-meterbridge" value="1"/>
    <Option name="show-mute-on-meterbridge" value="0"/>
    <Option name="show-solo-on-meterbridge" value="0"/>
    <Option name="show-monitor-on-meterbridge" value="0"/>
    <Option name="show-name-on-meterbridge" value="1"/>
    <Option name="show-fader-on-meterbridge" value="0"/>
    <Option name="meterbridge-label-height" value="0"/>
  </Config>
  <Metadata/>
  <Sources/>
  <Regions/>
  <Selection>
    <StripableAutomationControl stripable="443" control="0" order="0"/>
  </Selection>
  <Locations/>
  <Bundles/>
  <VCAManager/>
  <Routes>
    <Route version="7001" id="71" name="Master" default-type="audio" strict-io="1" volume-applies-to-output="1" active="1" denormal-protection="0" meter-point="MeterOutput" disk-io-point="DiskIOPreFader" meter-type="MeterK14">
      <PresentationInfo order="0" flags="MasterOut,OrderSet" color="3984881407"/>
      <Controllable name="solo" id="79" flags="Toggle,RealTime" value="0" self-solo="0" soloed-by-upstream="0" soloed-by-downstream="0"/>
      <Controllable name="solo-iso" id="85" flags="Toggle,RealTime" value="0" solo-isolated="0"/>
      <Controllable name="solo-safe" id="87" flags="Toggle" value="0" solo-safe="0"/>
      <IO name="Master" id="99" direction="Input" default-type="audio">
        <Port type="audio" name="Master/audio_in 1">
          <Connection other="General MIDI Synth/audio_out 1"/>
        </Port>
        <Port type="audio" name="Master/audio_in 2">
          <Connection other="General MIDI Synth/audio_out 2"/>
        </Port>
      </IO>
      <IO name="Master" id="100" direction="Output" default-type="audio">
        <Port type="audio" name="Master/audio_out 1">
          <Connection other="system:playback_1"/>
        </Port>
        <Port type="audio" name="Master/audio_out 2">
          <Connection other="system:playback_2"/>
        </Port>
      </IO>
      <MuteMaster mute-point="PostFader,Listen,Main" muted="0"/>
      <Controllable name="mute" id="81" flags="Toggle,RealTime" value="0"/>
      <Controllable name="phase" id="83" flags="Toggle" value="0" phase-invert="00"/>
      <Controllable name="mastervolume" id="107" flags="GainLike,NotAutomatable" value="1"/>
      <Automation>
        <AutomationList automation-id="solo" id="78" interpolation-style="Discrete" time-domain="AudioTime" state="Off"/>
        <AutomationList automation-id="solo-iso" id="84" interpolation-style="Discrete" time-domain="AudioTime" state="Off"/>
        <AutomationList automation-id="solo-safe" id="86" interpolation-style="Discrete" time-domain="AudioTime" state="Off"/>
        <AutomationList automation-id="mute" id="80" interpolation-style="Discrete" time-domain="AudioTime" state="Off"/>
        <AutomationList automation-id="phase" id="82" interpolation-style="Discrete" time-domain="AudioTime" state="Off"/>
      </Automation>
      <Pannable>
        <Controllable name="pan-azimuth" id="90" flags="" value="0.5"/>
        <Controllable name="pan-width" id="94" flags="" value="0"/>
        <Controllable name="pan-elevation" id="92" flags="" value="0"/>
        <Controllable name="pan-frontback" id="96" flags="" value="0"/>
        <Controllable name="pan-lfe" id="98" flags="" value="0"/>
        <Automation>
          <AutomationList automation-id="pan-azimuth" id="89" interpolation-style="Linear" time-domain="BeatTime" state="Off"/>
          <AutomationList automation-id="pan-elevation" id="91" interpolation-style="Linear" time-domain="BeatTime" state="Off"/>
          <AutomationList automation-id="pan-width" id="93" interpolation-style="Linear" time-domain="BeatTime" state="Off"/>
          <AutomationList automation-id="pan-frontback" id="95" interpolation-style="Linear" time-domain="BeatTime" state="Off"/>
          <AutomationList automation-id="pan-lfe" id="97" interpolation-style="Linear" time-domain="BeatTime" state="Off"/>
        </Automation>
      </Pannable>
      <Processor id="102" name="Polarity" active="1" user-latency="0" use-user-latency="0" type="polarity"/>
      <Processor id="103" name="Amp" active="1" user-latency="0" use-user-latency="0" type="trim">
        <Automation>
          <AutomationList automation-id="trim" id="76" interpolation-style="Logarithmic" time-domain="AudioTime" state="Off"/>
        </Automation>
        <Controllable name="trimcontrol" id="77" flags="GainLike" value="1"/>
      </Processor>
      <Processor id="101" name="Amp" active="1" user-latency="0" use-user-latency="0" type="amp">
        <Automation>
          <AutomationList automation-id="gain" id="74" interpolation-style="Exponential" time-domain="AudioTime" state="Off"/>
        </Automation>
        <Controllable name="gaincontrol" id="75" flags="GainLike" value="1"/>
      </Processor>
      <Processor id="105" name="Master" active="1" user-latency="0" use-user-latency="0" own-input="1" own-output="0" output="Master" type="main-outs" role="Main">
        <PannerShell bypassed="0" user-panner="" linked-to-route="1"/>
      </Processor>
      <Processor id="104" name="meter-Master" active="1" user-latency="0" use-user-latency="0" type="meter"/>
      <Slavable/>
    </Route>
    <Route version="7001" id="443" name="General MIDI Synth" default-type="midi" strict-io="1" active="1" denormal-protection="0" meter-point="MeterPostFader" disk-io-point="DiskIOPreFader" meter-type="MeterPeak" midi-playlist="523" saved-meter-point="MeterPostFader" alignment-choice="Automatic" playback-channel-mode="AllChannels" capture-channel-mode="AllChannels" playback-channel-mask="0xffff" capture-channel-mask="0xffff" note-mode="Sustained" step-editing="0" input-active="1" restore-pgm="1">
      <PresentationInfo order="1" flags="MidiTrack,OrderSet,TriggerTrack" color="3068512255"/>
      <Controllable name="solo" id="486" flags="Toggle,RealTime" value="0" self-solo="0" soloed-by-upstream="0" soloed-by-downstream="0"/>
      <Controllable name="solo-iso" id="492" flags="Toggle,RealTime" value="0" solo-isolated="0"/>
      <Controllable name="solo-safe" id="494" flags="Toggle" value="0" solo-safe="0"/>
      <IO name="General MIDI Synth" id="506" direction="Input" default-type="midi">
        <Port type="midi" name="General MIDI Synth/midi_in 1">
          <Connection other="x-virtual-keyboard"/>
          <Connection other="system:midi_capture_2b8f4a90"/>
        </Port>
      </IO>
      <IO name="General MIDI Synth" id="507" direction="Output" default-type="midi">
        <Port type="audio" name="General MIDI Synth/audio_out 1">
          <Connection other="Master/audio_in 1"/>
        </Port>
        <Port type="audio" name="General MIDI Synth/audio_out 2">
          <Connection other="Master/audio_in 2"/>
        </Port>
        <Port type="midi" name="General MIDI Synth/midi_out 1"/>
      </IO>
      <MuteMaster mute-point="PostFader,Listen,Main" muted="0"/>
      <Controllable name="mute" id="488" flags="Toggle,RealTime" value="0"/>
      <Controllable name="phase" id="490" flags="Toggle" value="0" phase-invert=""/>
      <Automation>
        <AutomationList automation-id="solo" id="485" interpolation-style="Discrete" time-domain="BeatTime" state="Off"/>
        <AutomationList automation-id="solo-iso" id="491" interpolation-style="Discrete" time-domain="BeatTime" state="Off"/>
        <AutomationList automation-id="solo-safe" id="493" interpolation-style="Discrete" time-domain="BeatTime" state="Off"/>
        <AutomationList automation-id="mute" id="487" interpolation-style="Discrete" time-domain="BeatTime" state="Off"/>
        <AutomationList automation-id="rec-enable" id="517" interpolation-style="Discrete" time-domain="BeatTime" state="Off"/>
        <AutomationList automation-id="rec-safe" id="519" interpolation-style="Discrete" time-domain="BeatTime" state="Off"/>
        <AutomationList automation-id="phase" id="489" interpolation-style="Discrete" time-domain="BeatTime" state="Off"/>
        <AutomationList automation-id="monitor" id="521" interpolation-style="Discrete" time-domain="BeatTime" state="Off"/>
      </Automation>
      <Pannable>
        <Controllable name="pan-azimuth" id="497" flags="" value="0.5"/>
        <Controllable name="pan-width" id="501" flags="" value="0"/>
        <Controllable name="pan-elevation" id="499" flags="" value="0"/>
        <Controllable name="pan-frontback" id="503" flags="" value="0"/>
        <Controllable name="pan-lfe" id="505" flags="" value="0"/>
        <Automation>
          <AutomationList automation-id="pan-azimuth" id="496" interpolation-style="Linear" time-domain="BeatTime" state="Off"/>
          <AutomationList automation-id="pan-elevation" id="498" interpolation-style="Linear" time-domain="BeatTime" state="Off"/>
          <AutomationList automation-id="pan-width" id="500" interpolation-style="Linear" time-domain="BeatTime" state="Off"/>
          <AutomationList automation-id="pan-frontback" id="502" interpolation-style="Linear" time-domain="BeatTime" state="Off"/>
          <AutomationList automation-id="pan-lfe" id="504" interpolation-style="Linear" time-domain="BeatTime" state="Off"/>
        </Automation>
      </Pannable>
      <Processor id="516" name="recorder:General MIDI Synth" active="1" user-latency="0" use-user-latency="0" type="diskwriter" record-safe="0"/>
      <Processor id="515" name="player:General MIDI Synth" active="1" user-latency="0" use-user-latency="0" type="diskreader"/>
      <Processor id="446" name="TriggerBox" active="1" user-latency="0" use-user-latency="0" type="triggerbox" data-type="midi" order="0">
        <Triggers>
          <Trigger name="" gain="1" color="3200171775" follow-count="1" use-follow-length="0" follow-length="1|0|0" legato="0" velocity-effect="0" follow-action-probability="0" quantization="1|0|0" launch-style="OneShot" follow-action-0="Again:0" follow-action-1="Stop:0" stretchable="1" cue_isolated="0" allow_patch_changes="1" stretch_mode="Crisp" index="0" segment-tempo="0" start="b0" used-channels="0" channel-map="-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1"/>
          <Trigger name="" gain="1" color="3200171775" follow-count="1" use-follow-length="0" follow-length="1|0|0" legato="0" velocity-effect="0" follow-action-probability="0" quantization="1|0|0" launch-style="OneShot" follow-action-0="Again:0" follow-action-1="Stop:0" stretchable="1" cue_isolated="0" allow_patch_changes="1" stretch_mode="Crisp" index="1" segment-tempo="0" start="b0" used-channels="0" channel-map="-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1"/>
          <Trigger name="" gain="1" color="3200171775" follow-count="1" use-follow-length="0" follow-length="1|0|0" legato="0" velocity-effect="0" follow-action-probability="0" quantization="1|0|0" launch-style="OneShot" follow-action-0="Again:0" follow-action-1="Stop:0" stretchable="1" cue_isolated="0" allow_patch_changes="1" stretch_mode="Crisp" index="2" segment-tempo="0" start="b0" used-channels="0" channel-map="-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1"/>
          <Trigger name="" gain="1" color="3200171775" follow-count="1" use-follow-length="0" follow-length="1|0|0" legato="0" velocity-effect="0" follow-action-probability="0" quantization="1|0|0" launch-style="OneShot" follow-action-0="Again:0" follow-action-1="Stop:0" stretchable="1" cue_isolated="0" allow_patch_changes="1" stretch_mode="Crisp" index="3" segment-tempo="0" start="b0" used-channels="0" channel-map="-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1"/>
          <Trigger name="" gain="1" color="3200171775" follow-count="1" use-follow-length="0" follow-length="1|0|0" legato="0" velocity-effect="0" follow-action-probability="0" quantization="1|0|0" launch-style="OneShot" follow-action-0="Again:0" follow-action-1="Stop:0" stretchable="1" cue_isolated="0" allow_patch_changes="1" stretch_mode="Crisp" index="4" segment-tempo="0" start="b0" used-channels="0" channel-map="-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1"/>
          <Trigger name="" gain="1" color="3200171775" follow-count="1" use-follow-length="0" follow-length="1|0|0" legato="0" velocity-effect="0" follow-action-probability="0" quantization="1|0|0" launch-style="OneShot" follow-action-0="Again:0" follow-action-1="Stop:0" stretchable="1" cue_isolated="0" allow_patch_changes="1" stretch_mode="Crisp" index="5" segment-tempo="0" start="b0" used-channels="0" channel-map="-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1"/>
          <Trigger name="" gain="1" color="3200171775" follow-count="1" use-follow-length="0" follow-length="1|0|0" legato="0" velocity-effect="0" follow-action-probability="0" quantization="1|0|0" launch-style="OneShot" follow-action-0="Again:0" follow-action-1="Stop:0" stretchable="1" cue_isolated="0" allow_patch_changes="1" stretch_mode="Crisp" index="6" segment-tempo="0" start="b0" used-channels="0" channel-map="-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1"/>
          <Trigger name="" gain="1" color="3200171775" follow-count="1" use-follow-length="0" follow-length="1|0|0" legato="0" velocity-effect="0" follow-action-probability="0" quantization="1|0|0" launch-style="OneShot" follow-action-0="Again:0" follow-action-1="Stop:0" stretchable="1" cue_isolated="0" allow_patch_changes="1" stretch_mode="Crisp" index="7" segment-tempo="0" start="b0" used-channels="0" channel-map="-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1"/>
          <Trigger name="" gain="1" color="3200171775" follow-count="1" use-follow-length="0" follow-length="1|0|0" legato="0" velocity-effect="0" follow-action-probability="0" quantization="1|0|0" launch-style="OneShot" follow-action-0="Again:0" follow-action-1="Stop:0" stretchable="1" cue_isolated="0" allow_patch_changes="1" stretch_mode="Crisp" index="8" segment-tempo="0" start="b0" used-channels="0" channel-map="-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1"/>
          <Trigger name="" gain="1" color="3200171775" follow-count="1" use-follow-length="0" follow-length="1|0|0" legato="0" velocity-effect="0" follow-action-probability="0" quantization="1|0|0" launch-style="OneShot" follow-action-0="Again:0" follow-action-1="Stop:0" stretchable="1" cue_isolated="0" allow_patch_changes="1" stretch_mode="Crisp" index="9" segment-tempo="0" start="b0" used-channels="0" channel-map="-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1"/>
          <Trigger name="" gain="1" color="3200171775" follow-count="1" use-follow-length="0" follow-length="1|0|0" legato="0" velocity-effect="0" follow-action-probability="0" quantization="1|0|0" launch-style="OneShot" follow-action-0="Again:0" follow-action-1="Stop:0" stretchable="1" cue_isolated="0" allow_patch_changes="1" stretch_mode="Crisp" index="10" segment-tempo="0" start="b0" used-channels="0" channel-map="-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1"/>
          <Trigger name="" gain="1" color="3200171775" follow-count="1" use-follow-length="0" follow-length="1|0|0" legato="0" velocity-effect="0" follow-action-probability="0" quantization="1|0|0" launch-style="OneShot" follow-action-0="Again:0" follow-action-1="Stop:0" stretchable="1" cue_isolated="0" allow_patch_changes="1" stretch_mode="Crisp" index="11" segment-tempo="0" start="b0" used-channels="0" channel-map="-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1"/>
          <Trigger name="" gain="1" color="3200171775" follow-count="1" use-follow-length="0" follow-length="1|0|0" legato="0" velocity-effect="0" follow-action-probability="0" quantization="1|0|0" launch-style="OneShot" follow-action-0="Again:0" follow-action-1="Stop:0" stretchable="1" cue_isolated="0" allow_patch_changes="1" stretch_mode="Crisp" index="12" segment-tempo="0" start="b0" used-channels="0" channel-map="-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1"/>
          <Trigger name="" gain="1" color="3200171775" follow-count="1" use-follow-length="0" follow-length="1|0|0" legato="0" velocity-effect="0" follow-action-probability="0" quantization="1|0|0" launch-style="OneShot" follow-action-0="Again:0" follow-action-1="Stop:0" stretchable="1" cue_isolated="0" allow_patch_changes="1" stretch_mode="Crisp" index="13" segment-tempo="0" start="b0" used-channels="0" channel-map="-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1"/>
          <Trigger name="" gain="1" color="3200171775" follow-count="1" use-follow-length="0" follow-length="1|0|0" legato="0" velocity-effect="0" follow-action-probability="0" quantization="1|0|0" launch-style="OneShot" follow-action-0="Again:0" follow-action-1="Stop:0" stretchable="1" cue_isolated="0" allow_patch_changes="1" stretch_mode="Crisp" index="14" segment-tempo="0" start="b0" used-channels="0" channel-map="-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1"/>
          <Trigger name="" gain="1" color="3200171775" follow-count="1" use-follow-length="0" follow-length="1|0|0" legato="0" velocity-effect="0" follow-action-probability="0" quantization="1|0|0" launch-style="OneShot" follow-action-0="Again:0" follow-action-1="Stop:0" stretchable="1" cue_isolated="0" allow_patch_changes="1" stretch_mode="Crisp" index="15" segment-tempo="0" start="b0" used-channels="0" channel-map="-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1"/>
        </Triggers>
        <Processor id="479" name="General MIDI Synth/TriggerBox" active="1" user-latency="0" use-user-latency="0" own-input="1" own-output="1" type="sidechain">
          <IO name="General MIDI Synth/TriggerBox" id="480" direction="Input" default-type="audio">
            <Port type="midi" name="General MIDI Synth/TriggerBox/midi_in 1"/>
          </IO>
        </Processor>
      </Processor>
      <Processor id="509" name="Polarity" active="1" user-latency="0" use-user-latency="0" type="polarity"/>
      <Processor id="545" name="General MIDI Synth" active="1" user-latency="0" use-user-latency="0" type="lv2" unique-id="http://gareus.org/oss/lv2/gmsynth" count="1" custom="0">
        <ConfiguredInput>
          <Channels type="midi" count="1"/>
        </ConfiguredInput>
        <CustomSinks>
          <Channels type="midi" count="1"/>
        </CustomSinks>
        <ConfiguredOutput>
          <Channels type="audio" count="2"/>
          <Channels type="midi" count="1"/>
        </ConfiguredOutput>
        <PresetOutput/>
        <InputMap-0>
          <Channelmap type="midi" from="0" to="0"/>
        </InputMap-0>
        <OutputMap-0>
          <Channelmap type="audio" from="0" to="0"/>
          <Channelmap type="audio" from="1" to="1"/>
        </OutputMap-0>
        <ThruMap/>
        <lv2 last-preset-uri="" last-preset-label="" parameter-changed-since-last-preset="0"/>
      </Processor>
      <Processor id="508" name="Amp" active="1" user-latency="0" use-user-latency="0" type="amp">
        <Automation>
          <AutomationList automation-id="gain" id="481" interpolation-style="Exponential" time-domain="AudioTime" state="Off"/>
        </Automation>
        <Controllable name="gaincontrol" id="482" flags="GainLike" value="1"/>
      </Processor>
      <Processor id="512" name="meter-General MIDI Synth" active="1" user-latency="0" use-user-latency="0" type="meter"/>
      <Processor id="513" name="General MIDI Synth" active="1" user-latency="0" use-user-latency="0" own-input="1" own-output="0" output="General MIDI Synth" type="main-outs" role="Main">
        <PannerShell bypassed="0" user-panner="" linked-to-route="1"/>
      </Processor>
      <Slavable/>
      <Controllable name="monitor" id="522" flags="RealTime" value="0" monitoring=""/>
      <Controllable name="rec-safe" id="520" flags="Toggle,RealTime" value="0"/>
      <Controllable name="rec-enable" id="518" flags="Toggle,RealTime" value="0"/>
    </Route>
  </Routes>
  <Playlists>
    <Playlist id="523" name="General MIDI Synth" type="midi" orig-track-id="443" pgroup-id="" shared-with-ids="" frozen="0" combine-ops="0"/>
  </Playlists>
  <UnusedPlaylists/>
  <RouteGroups/>
  <Click>
    <IO name="Click" id="66" direction="Output" default-type="audio">
      <Port type="audio" name="Click/audio_out 1">
        <Connection other="system:playback_1"/>
      </Port>
      <Port type="audio" name="Click/audio_out 2">
        <Connection other="system:playback_2"/>
      </Port>
    </IO>
    <Processor id="67" name="Amp" active="1" user-latency="0" use-user-latency="0" type="amp">
      <Automation>
        <AutomationList automation-id="gain" id="64" interpolation-style="Exponential" time-domain="AudioTime" state="Off"/>
      </Automation>
      <Controllable name="gaincontrol" id="65" flags="GainLike" value="0.50237733125686646"/>
    </Processor>
  </Click>
  <Speakers>
    <Speaker azimuth="240" elevation="0" distance="1"/>
    <Speaker azimuth="120" elevation="0" distance="1"/>
  </Speakers>
  <TempoMap superclocks-per-second="282240000">
    <Tempos>
      <Tempo npm="120" enpm="140" note-type="4" type="Tempo::Ramped" active="1" locked-to-meter="0" continuing="0" sclock="0" quarters="0:0" bbt="1|1|0" omega="3.6907123960695401e-11"/>
      <Tempo npm="140" enpm="140" note-type="4" type="Tempo::Constant" active="1" locked-to-meter="0" continuing="0" sclock="4176718836" quarters="32:0" bbt="9|1|0" omega="0"/>
    </Tempos>
    <Meters>
      <Meter note-value="4" divisions-per-bar="4" sclock="0" quarters="0:0" bbt="1|1|0"/>
    </Meters>
    <MusicTimes/>
  </TempoMap>
  <ControlProtocols>
    <Protocol name="Ableton Push 2" active="0" session-state="0"/>
    <Protocol name="ContourDesign" active="0" session-state="0"/>
    <Protocol name="Generic MIDI" feedback="1" feedback-interval="10000" threshold="15" motorized="0" binding="Korg nanoKONTROL Studio" active="1">
      <Input>
        <Port name="MIDI Control In" direction="input"/>
      </Input>
      <Output>
        <Port name="MIDI Control Out" direction="output"/>
      </Output>
      <Controls/>
    </Protocol>
    <Protocol name="Mackie" feedback="0" bank="0" ipmidi-base="21928" device-profile="User" device-name="Mackie Control" active="1">
      <Configurations>
        <Configuration name="Behringer X-Touch">
          <Surfaces>
            <Surface name="Behringer X-Touch">
              <Port>
                <Input>
                  <Port name="mackie control in" direction="input"/>
                </Input>
                <Output>
                  <Port name="mackie control out" direction="output"/>
                </Output>
              </Port>
            </Surface>
          </Surfaces>
        </Configuration>
        <Configuration name="Mackie Control Universal Pro">
          <Surfaces>
            <Surface name="Mackie Control Universal Pro">
              <Port>
                <Input>
                  <Port name="mackie control in" direction="input"/>
                </Input>
                <Output>
                  <Port name="mackie control out" direction="output"/>
                </Output>
              </Port>
            </Surface>
          </Surfaces>
        </Configuration>
        <Configuration name="Mackie Control">
          <Surfaces>
            <Surface name="Mackie Control">
              <Port>
                <Input>
                  <Port name="mackie control in" direction="input"/>
                </Input>
                <Output>
                  <Port name="mackie control out" direction="output"/>
                </Output>
              </Port>
            </Surface>
          </Surfaces>
        </Configuration>
      </Configurations>
    </Protocol>
    <Protocol name="Novation Launch Control XL" active="0" session-state="0"/>
    <Protocol name="Open Sound Control (OSC)" active="0" session-state="0"/>
    <Protocol name="PreSonus FaderPort" active="0" session-state="0"/>
    <Protocol name="PreSonus FaderPort16" active="0" session-state="0"/>
    <Protocol name="PreSonus FaderPort2" active="0" session-state="0"/>
    <Protocol name="PreSonus FaderPort8" active="0" session-state="0"/>
    <Protocol name="Steinberg CC121" active="0" session-state="0"/>
    <Protocol name="Tascam US-2400" active="0" session-state="0"/>
    <Protocol name="WebSockets Server (Experimental)" active="0" session-state="0"/>
  </ControlProtocols>
  <Extra>
    <AddRouteDialog LastRouteType="MidiTrack"/>
    <UI>
      <Window name="key-editor" visible="0" x-off="50" y-off="210" x-size="659" y-size="470"/>
      <Window name="session-options-editor" visible="0" x-off="0" y-off="311" x-size="1090" y-size="416"/>
      <Window name="speaker-config" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1"/>
      <Window name="about" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1"/>
      <Window name="add-routes" visible="0" x-off="-1" y-off="-1" x-size="726" y-size="491"/>
      <Window name="add-video" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1"/>
      <Window name="inspector" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1"/>
      <Window name="audio-midi-setup" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1"/>
      <Window name="video-export" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1"/>
      <Window name="script-manager" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1"/>
      <Window name="bundle-manager" visible="0" x-off="184" y-off="217" x-size="480" y-size="240"/>
      <Window name="locations" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1"/>
      <Window name="big-clock" visible="0" x-off="131" y-off="144" x-size="520" y-size="78"/>
      <Window name="big-transport" visible="0" x-off="269" y-off="187" x-size="240" y-size="50"/>
      <Window name="virtual-keyboard" visible="0" x-off="1561" y-off="526" x-size="750" y-size="186"/>
      <Window name="library-downloader" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1"/>
      <Window name="audio-connection-manager" visible="0" x-off="1403" y-off="159" x-size="1269" y-size="1152"/>
      <Window name="midi-connection-manager" visible="0" x-off="111" y-off="52" x-size="577" y-size="500"/>
      <Window name="luawindow" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1"/>
      <Window name="idle-o-meter" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1"/>
      <Window name="io-plugins" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1"/>
      <Window name="plugin-manager" visible="0" x-off="1051" y-off="173" x-size="1337" y-size="1075"/>
      <Window name="plugin-dsp-load" visible="0" x-off="356" y-off="418" x-size="611" y-size="98"/>
      <Window name="dsp-statistics" visible="0" x-off="171" y-off="355" x-size="351" y-size="273"/>
      <Window name="transport-masters" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1"/>
      <Window name="RPM-71" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1"/>
      <Window name="RPM-443" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1"/>
      <Window name="P-443-446" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1" custom-ui="1"/>
      <Window name="P-443-545" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1" custom-ui="1"/>
      <Window name="PM-443-545" visible="0" x-off="-1" y-off="-1" x-size="-1" y-size="-1"/>
      <GUIObjectState>
        <Object id="rtav 71" height="68"/>
        <Object id="automation 75" height="68" visible="0"/>
        <Object id="automation 77" height="68" visible="0"/>
        <Object id="automation 71 12/0/0" height="68" visible="0"/>
        <Object id="automation 90" height="68" visible="0"/>
        <Object id="strip 71">
          <Object id="processor 101">
            <Object id="control 75" visible="0"/>
          </Object>
        </Object>
        <Object id="rtav 443" height="68" note-range-min="60" note-range-max="71" midnam-custom-device-mode="" color-mode="MeterColors"/>
        <Object id="automation 482" height="68" visible="0"/>
        <Object id="automation 443 12/0/0" height="68" visible="0"/>
        <Object id="strip 443">
          <Object id="processor 508">
            <Object id="control 482" visible="0"/>
          </Object>
          <Object id="processor 545"/>
        </Object>
        <Object id="automation 497" height="68" visible="0"/>
      </GUIObjectState>
    </UI>
    <Videomonitor active="0"/>
  </Extra>
  <Script lua="Lua 5.3">c2NyaXB0cyA9IHt9IA==</Script>
  <IOPlugins/>
</Session>
Ramp bug.ardour (31,492 bytes)   

paul

2022-11-21 18:19

administrator   ~0026922

I am unable to reproduce this bug, either with my own session or with the one attached.

Could you make a screen recording so that I can see in more detail what you are doing when the crash happens?

beto

2022-11-24 00:52

reporter   ~0026937

I've uploaded the video to https://youtu.be/xIT5dIjMNY0 (HD still processing).

Note that this doesn't happen when I remove the BPM ramp, which is why I think that's the problem here.

Issue History

Date Modified Username Field Change
2022-11-20 22:33 beto New Issue
2022-11-20 22:33 beto File Added: Ramp bug.ardour
2022-11-21 18:19 paul Assigned To => paul
2022-11-21 18:19 paul Status new => feedback
2022-11-21 18:19 paul Note Added: 0026922
2022-11-24 00:52 beto Note Added: 0026937
2022-11-24 00:52 beto Status feedback => assigned